package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.OrganizationRating;
import com.ims.eval.entity.dto.result.R;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 年度评级 服务类
 * </p>
 *
 * @author wang
 * @since 2023-06-20
 */
public interface IOrganizationRatingService extends IService<OrganizationRating> {

	//IPage<OrganizationRating> list(Integer pageNum, Integer pageSize, String formula);

	IPage<OrganizationRating> list(Integer pageNum, Integer pageSize, String id,String organizationYearRatingId, String binSection,
								   String year,String organizationShortName,String organizationId,String safetyEnvProtection,String veto,
								   String netProfit,String compositeScore,String annualTarget,String bonusPoint,String compositeScoreRaking,String projectLevel,String score);

	boolean generateRating(String organizationYearRatingId, String year);

	List<OrganizationRating> getListSating(String organizationYearRatingId, String year, String organizationId);

	R grade(List<OrganizationRating> orgRating);

	R exportExcel(HttpServletResponse response, List<OrganizationRating> ls,String binSection,String year) throws IOException;

	R importExcel(MultipartFile file,String binSection,String year);

	int clearOldData(String year);

	R binSection(String organizationYearRatingId);

}
